This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 185273 - Hibernation loop when hibernation is triggered by battery going critical
Hibernation loop when hibernation is triggered by battery going critical
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-03-12 22:35 EST by Callum Lerwick
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 16:36:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lshal -m log (1.91 KB, text/plain)
2006-03-12 22:35 EST, Callum Lerwick
no flags Details
/var/log/messages (10.18 KB, text/plain)
2006-03-12 22:39 EST, Callum Lerwick
no flags Details

  None (edit)
Description Callum Lerwick 2006-03-12 22:35:20 EST
Description of problem:
When the battery goes critical and gnome-power-manager hibernates the machine,
it gets stuck in a loop. If I plug in the AC and power up the machine, it
resumes, then immediately hibernates again. Near as I can tell, it will continue
to do this until the battery is 100% charged.

Manually triggered hibernation works fine.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.13.93-4
hal-0.5.7-3
kernel-2.6.15-1.2041_FC5

How reproducible:
Every time.

Steps to Reproduce:
1. Unplug the AC
2. Let battery drain until critical
3. Plug in AC
4. Power machine back on
  
Actual results:
Machine resumes and then immediately hibernates again.

Expected results:
Machine should simply resume.

Additional info:
This is on a Compal N38N2 laptop, which near as I can tell is fairly obscure.
This particular model does not seem to have been OEM'ed to any big names, though
many other Compal models are. It has a mobile PIII 700E CPU, and a VIA chipset:

00:00.0 Host bridge: VIA Technologies, Inc. VT8601 [Apollo ProMedia] (rev 05)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8601 [Apollo ProMedia AGP]
00:04.0 CardBus bridge: Texas Instruments PCI1420
00:04.1 CardBus bridge: Texas Instruments PCI1420
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 22)
00:07.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 10)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 10)
00:07.4 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev
30)00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97
Audio Controller (rev 20)
00:10.0 Communication controller: Conexant HSF 56k Data/Fax/Voice Modem (rev
01)01:00.0 VGA compatible controller: Trident Microsystems CyberBlade i1 (rev 6a)
02:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC
(rev 01)
Comment 1 Callum Lerwick 2006-03-12 22:35:21 EST
Created attachment 126013 [details]
lshal -m log
Comment 2 Callum Lerwick 2006-03-12 22:39:35 EST
Created attachment 126014 [details]
/var/log/messages
Comment 3 Richard Hughes 2006-03-13 04:58:06 EST
can you "do: lshal -m" and then hibernate, resume and then attach the log
please. Many thanks.
Comment 4 Richard Hughes 2006-03-13 14:49:48 EST
I think I've fixed this.

Can you try gnome cvs please:

2006-03-13  Richard Hughes  <richard@hughsie.com>
 * data/gnome-power-manager.schemas.in, src/gpm-prefs.h: Add
/apps/gnome-power-manager/policy_suppression_timeout so we can start to ignore
events after we have returned from suspend/hibernate.
 * src/gpm-manager.c (gpm_manager_is_policy_timout_valid): Add functionality so
we can ignore events from resume. This is adapted from the ubuntu mega-patch by
Daniel Silverstone. This should fix rh:185273.
Comment 5 Richard Hughes 2006-03-15 11:19:21 EST
Can someone package 2.14.0 for FC5 please -- it should fix this bug.
Comment 6 Ray Strode [halfline] 2006-03-15 12:14:47 EST
Sure, let me add it to the FC5 Update tracker, and we can push an update soon
after FC5. We already have a final tree candidate for the initial release of
FC5, so its too late for that.
Comment 7 Ray Strode [halfline] 2006-03-22 15:01:13 EST
Hi Callum,

Can you try the gnome-power-manager in updates-testing and report whether or not
it fixes your issues?
Comment 8 Callum Lerwick 2006-03-23 02:42:27 EST
Seems to have fixed it. Thanks.
Comment 9 Ray Strode [halfline] 2006-03-24 16:36:58 EST
Great, pushed to updates

Note You need to log in before you can comment on or make changes to this bug.